import Taro from '@tarojs/taro';
import { uShowToast, wechatLogin } from "@/utils/index";
import { md5 } from 'js-md5';
import { login } from './server'


// api请求封装
const httpRequest = function (url, params, method = 'GET', isShowLoading = true, isLoginApi = false, isWechatServer = false) {
  if (isShowLoading) {
    Taro.showToast({
      title: '加载中',
      icon: 'loading',
      mask: true,
      duration: 2000
    })
    isShowLoading = true
  }
  let path = process.env.SERVER;
  const accountInfo = Taro.getAccountInfoSync();
  // console.log(accountInfo.miniProgram.envVersion );
  // 根据环境切换接口地址
  if (accountInfo.miniProgram.envVersion === 'develop') {
      path = 'https://groupmeal.black-pa.com/order'
  }
  else if (accountInfo.miniProgram.envVersion === 'trial') {
    path = 'https://groupmeal.black-pa.com/order'
  } else {
    path = 'https://groupmeal.black-pa.com/order'
  }
  const tablekey = '26dc841d-d945-4e1e-968b-cc34a85cedb9'
  const header = { 'content-type': 'application/json' };
  header['AppId'] = accountInfo.miniProgram.appId;
  header['key'] = tablekey
  // let stringA="";
  // if (params) {
  //   Object.keys(params).sort().map((key)=>{
  //     console.log(key,params[key]);
  //     let stringB = `${key}`
  //     if (stringA) {
  //       stringA = stringA +"&"+ stringB
  //     }else{
  //       stringA = stringA + stringB
  //     }
  //    })
  //   const stringSignTemp=stringA+"&key="+tablekey
  //   console.log('stringSignTemp',stringSignTemp);
  //   const stringSign = md5(stringSignTemp.toLocaleUpperCase()).toLocaleUpperCase()
  //   header['sign']= stringSign
  // }
 
  return new Promise((resolve, reject) => {
    if (!isLoginApi) {
      header['Authorization'] = `Bearer ${Taro.getStorageSync("token")}`;
    }
    Taro.request({
      url: path + url,
      data: params,
      method: method,
      header,
    }).then((res) => {
      if (isShowLoading) {
        Taro.hideToast();
      }
      if (isLoginApi) {
        Taro.setStorageSync("token", res.header['access-token']);
      }
      switch (res.statusCode) {
        case 200:
            resolve(res.data);
          break;
        case 401:
          // Taro.reLaunch({ url: '/pages/login/index' });
          // if (!isLoginApi) {
          //   console.log('401');
          // }
          break;
        default:
          uShowToast('系统异常,请联系客服')
          reject();
          break;

      }
    }).catch(err => {
      console.log(err);
      uShowToast('当前网络较差，系统尝试再次请求数据!')
      reject(err)
    })
  })
}

export default httpRequest
