import { Component } from 'react'
import Taro from "@tarojs/taro";
import './app.scss'
import './assets/iconfont/iconfont.scss';

class App extends Component {
  componentDidMount() {
    // 获取小程序更新机制兼容
    if (Taro.canIUse('getUpdateManager')) {
      const updateManager = Taro.getUpdateManager()

      updateManager.onCheckForUpdate(function (res) {
        // 请求完新版本信息的回调
        console.log('是否有新版本', res.hasUpdate)
      })
      updateManager.onUpdateReady(function () {
        Taro.showModal
          ({
            title: '更新提示',
            content: '新版本已经准备好，立即重启应用!',
            showCancel: false,
            success: function () {
              // 新的版本已经下载好，调用 applyUpdate 应用新版本并重启
              updateManager.applyUpdate()
            }
          })
      })
      updateManager.onUpdateFailed(function () {
        // 新的版本下载失败
        Taro.showModal({
          title: '已经有新版本了哟~',
          showCancel: false,
          content: '新版本已经上线啦~，请您删除当前小程序，重新搜索打开哟~',
        })
      })
    } else {
      // 如果希望用户在最新版本的客户端上体验您的小程序，可以这样子提示
      Taro.showModal({
        title: '提示',
        showCancel: false,
        content: '当前微信版本过低，无法使用该功能，请升级到最新微信版本后重试。'
      })
    }
  }
  // this.props.children 是将要会渲染的页面
  render() {
    return this.props.children
  }
}

export default App
